Bug 217506 - Open source file from SVN history
Open source file from SVN history
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Subversion
7.2
Macintosh Mac OS X
: P4 (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 08:50 UTC by adamsolymos
Modified: 2013-02-01 09:16 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
IDE log (33.65 KB, text/plain)
2012-08-28 08:50 UTC, adamsolymos
Details
popup menu for a file in search history (19.19 KB, image/png)
2012-09-12 07:45 UTC, Ondrej Vrabec
Details
Summary view in SVN file search, popup menu, disabled View option (43.20 KB, image/png)
2012-09-12 08:48 UTC, adamsolymos
Details
Diff view in SVN file search, popup menu, no View option (44.06 KB, image/png)
2012-09-12 08:49 UTC, adamsolymos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description adamsolymos 2012-08-28 08:50:05 UTC
Hi,

When I make a search in SVN history (with default Subversion plugin), the results are grouped by revisions which are dropdown lists where I can see the files that are related to the particular commit. In the Netbean's earlier versions there was an option to open the source file by the right click menu "Open". But now, I can see only "Rollback Changes" option.

That was a really useful option, please make it available again!

Thanks a lot!

Product Version = NetBeans IDE 7.2 (Build 201207171143)
Operating System = Mac OS X version 10.6.8 running on x86_64
Java; VM; Vendor = 1.6.0_33
Runtime = Java HotSpot(TM) 64-Bit Server VM 20.8-b03-424
Comment 1 adamsolymos 2012-08-28 08:50:10 UTC
Created attachment 123640 [details]
IDE log
Comment 2 Ondrej Vrabec 2012-09-12 07:45:24 UTC
works for me, see the attached screenshot, there is the "View" action in the popup menu that opens the file in th selected revision.
Comment 3 Ondrej Vrabec 2012-09-12 07:45:28 UTC
Created attachment 124209 [details]
popup menu for a file in search history
Comment 4 adamsolymos 2012-09-12 08:46:17 UTC
Yes I can see now that option in the popup menu in the Summary view, however it is disabled (grey, not clickable) for me. And in the Diff view, there is no option like this. See my attachments about Summary and Diff views.
Comment 5 adamsolymos 2012-09-12 08:48:39 UTC
Created attachment 124221 [details]
Summary view in SVN file search, popup menu, disabled View option

Here is the Summary view, there is the View option, but is not available
Comment 6 adamsolymos 2012-09-12 08:49:28 UTC
Created attachment 124222 [details]
Diff view in SVN file search, popup menu, no View option

Here is the Diff view, no View option.
Comment 7 Ondrej Vrabec 2012-09-12 09:35:18 UTC
(In reply to comment #4)
> Yes I can see now that option in the popup menu in the Summary view, however it
> is disabled (grey, not clickable) for me.
Weird, maybe you're switched to a branch, the history entry applies to a trunk or another branch and NetBeans cannot pair the files. Are you opening the search history for the file directly or for a parent folder or project? Does it happen for all revisions?
> And in the Diff view, there is no option like this.
Wasn't there for 7.1.2 either.
Comment 8 Ondrej Vrabec 2013-01-28 13:51:40 UTC
fix: http://hg.netbeans.org/core-main/rev/330a217cca5f
Comment 9 Quality Engineering 2013-01-29 03:29:34 UTC
Integrated into 'main-golden', will be available in build *201301290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/330a217cca5f
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #217506 - Open source file from SVN history
unifying actions between diff and summary view in search history panels
Comment 10 adamsolymos 2013-02-01 09:16:11 UTC
Thank you, Ondrej, this will be a big help in the everyday work! :)

Adam


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo